Subject: Re: bug#60260: 29.0.60; c-ts-mode and highlight-indent-guides

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Dec 2022 20:46:55 +0200

> From: "Aneesh Kumar K.V" <[email-masked]>
> Date: Thu, 22 Dec 2022 19:52:33 +0530
> 
> 
> With cc-mode I can use highlight-indent-guides correctly. But with
> c-ts-mode (tree-sitter) it doesn't show the indent markers/character. I am using
> 
> (add-to-list 'major-mode-remap-alist '(c-mode . c-ts-mode))
> (add-hook 'prog-mode-hook #'highlight-indent-guides-mode)
> (set-face-foreground 'highlight-indent-guides-character-face "dimgrey")
>       (setq highlight-indent-guides-auto-enabled nil)
>       (setq highlight-indent-guides-method 'character))

AFAIK, highlight-indent-guides is not an Emacs or ELPA package, so I
suggest that you report this to the developers of
highlight-indent-guides.